Event ID 4000 — Virtual Machine Integration Services

Updated: April 7, 2009

Applies To: Windows Server 2008

This is preliminary documentation and subject to change.

yellow

Virtual Machine Integration Services

Event Details

Product: Windows Operating System
ID: 4000
Source: Microsoft-Windows-Hyper-V-Integration-KvpExchange
Version: 6.0
Symbolic Name: MSWVMIC_MAJOR_VERSION_MISMATCH
Message: Data Exchange failed to connect to virtual machine '%1' because the version does not match the version expected by Hyper-V (Virtual machine ID %2). To fix this problem, remove the existing version from the guest operating system and then install the version provided with the version of Hyper-V you are using.

Resolve

Check integration services version

The version of a component of integration services is incompatible with another version. To fix this problem, remove the existing version from the operating system on the virtual machine. Ensure that you have installed the latest version of Hyper-V (http://go.microsoft.com/fwlink/?LinkID=122188),  and then install integration services again.

Verify

The integration services are all shown in a running state in the service control manager of the virtual machine. All the guest Hyper-V drivers are in a healthy state. Additionally, any operations that involve the integration services complete successfully.

 

Related Management Information

Virtual Machine Integration Services

Hyper-V

Community Additions

ADD
Show: